Create a New Prospect
curl --request POST \
--url https://api.trata.ai/v1/prospects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe",
"email": "john.doe@example.com",
"phoneNumber": "1234567890",
"externalReference": [
{
"providerName": "Google Analytics",
"id": "GA-123456",
"providerProps": "abcdefg"
}
],
"prospectProps": "software"
}
'import requests
url = "https://api.trata.ai/v1/prospects"
payload = {
"name": "John Doe",
"email": "john.doe@example.com",
"phoneNumber": "1234567890",
"externalReference": [
{
"providerName": "Google Analytics",
"id": "GA-123456",
"providerProps": "abcdefg"
}
],
"prospectProps": "software"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'John Doe',
email: 'john.doe@example.com',
phoneNumber: '1234567890',
externalReference: [{providerName: 'Google Analytics', id: 'GA-123456', providerProps: 'abcdefg'}],
prospectProps: 'software'
})
};
fetch('https://api.trata.ai/v1/prospects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pro.1731301754.OZSMSU1S",
"orgId": "org.1726902940.GZChqlpU",
"name": "Hari",
"phoneNumber": "96260-12778",
"externalReference": [],
"status": "SERVICE_ORDER_PLACED",
"prospectProps": {},
"createdBy": "trata-system",
"createdAt": "2024-11-11T05:09:14.979287",
"updatedBy": "trata-system",
"updatedAt": "2024-11-11T05:09:14.979289"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Prospects
Create a New Prospect
Create a New Prospect
POST
/
v1
/
prospects
Create a New Prospect
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
NEW, GENERAL_ENQUIRY, SCHEDULED_CALLBACK_WITH_BOT, SCHEDULED_APPOINTMENT_WITH_PERSON, SCHEDULED_APPOINTMENT_FOR_SERVICE, NOT_INTERESTED, PRODUCT_ORDER_PLACED, SERVICE_ORDER_PLACED Name of the prospect
Required string length:
1 - 512Example:
"John Doe"
Email of the prospect
Required string length:
1 - 512Example:
"john.doe@example.com"
Phone number of the prospect
Required string length:
1 - 512Example:
"1234567890"
External references for the prospect
Show child attributes
Show child attributes
Props for the prospect
Example:
"software"
Response
Prospect created successfully
Prospects are the potential customers for business
Show child attributes
Show child attributes
⌘I
